<?php
    session_start();
    
    include("../config.php");
    include_once ("$ruta_include/funciones_foro.php");
    
    $t = new Template($ruta_template);
    if($ses_foro_activo!=1){
        error_foro("Accin no valida",$t);
        exit;
    }
    
    setPaginaOrigen("mensajes_busqueda.php");
    
    session_register('ses_foro_buscar');
    session_register('ses_foro_buscar_por');
    
    if($palabra != ""){
        $ses_foro_buscar = $palabra;
        $ses_foro_buscar_por = $columna;
    }
    else{
        $palabra = $ses_foro_buscar;
        $columna = $ses_foro_buscar_por;
    }
    
    if($num_pagina == ''){
        $num_pagina = 1;
    }
    
    $link = conectar();
    
    $t = new Template();
    $t->set_file("pagina", "$ruta_template/mensajes_busqueda.html");
    $F = Foro($id_foro);
    $t->set_var("link_foro", "principal_alumnos.php?id_foro=$F[0]");
    $P = getPermisos();
    
    if($P[1] == 1){
        $t->set_var("link_nuevo", "componer.php?id_tema=$T[0]");
    }
    
    $opciones = getOpcionesUsuario($id_foro, getIdusuario(), $link);
    $t->set_var("barra_info", barra_info($ruta_template, $opciones));
    $t->set_var("cuadro_busqueda", cuadro_busqueda($ruta_template, $opciones));
    
    $t->set_block("pagina", "resultados", "mensaje");
    
    /*siempre va al principal*/
    $t->set_var("pag_atras", "principal_alumnos.php");
    
    //Viene en formato dd-mm-aaaa y tenemos que dejarla aaaa-mm-dd
    if($columna == "fecha"){
        $partes = explode("-", $palabra);
        $palabra = "$partes[2]-$partes[1]-$partes[0]";
    }
    
    $MS = MensajesBuscar($id_foro, $id_tema, $columna, $palabra);
    
    //no hay resultados
    if(count($MS) == 0){
        //no muestra el encabezado
        $t->set_block("pagina", "encabezado_resultados", "encabezado_res");
        if($columna == "fecha"){
            $t->set_var("no_resultados", "No existen resultados para la fecha especificada.");
        }
        else{
            $t->set_var("no_resultados", "No existen resultados para la busqueda de la palabra $palabra.");
        }
    }
    else{
        $desde = ($num_pagina-1) * $MAX_MENSAJES;
        $hasta = $num_pagina * $MAX_MENSAJES;
    
        if(count($MS) < $hasta){
            $hasta = count($MS);
        }
    
        for($i = $desde; $i < $hasta; $i++){
            $M = $MS[$i];
    
            if($M["leido"] == 1){
                $class_mensaje = "mensaje_leido";
            }
            else{
                $class_mensaje = "mensaje_no_leido";
            }
    
            $t->set_var(array("tipo_usuario" => $M["rol_class_nombre"],
                               "titulo_mensaje" => $M["titulo"],
                               "class_mensaje" => $class_mensaje,
                               "autor" => $M["nombre_autor"],
                               "email" => $M["mail_autor"],
                               "fecha" => $M["fecha"]));
        
            $t->parse("mensaje", "resultados", true);
        }
    }
    
    /* imprimimos los numeros de pgina */
    $t->set_block("pagina", "next", "next_var");
    $t->set_block("pagina", "back", "back_var");
    
    $pag_ant=$num_pagina-1;
    $pag_sig=$num_pagina+1;
    
    $t->set_var("num_pagina",$num_pagina);
    $t->set_var("tema_id",$id_tema);
    
    if($pag_ant<1){
        $t->set_var("back_var","");
        $t->set_var("pag_anterior","");
    }
    else{
        $t->set_var("p_ant",$pag_ant);
        $t->parse("pag_anterior", "back");
    }
    
    if($hasta<count($MS)){
        $existen_mensajes_por_ver=1;
    }
    else{
        $existen_mensajes_por_ver=0;
    }
    
    if($existen_mensajes_por_ver){
        $t->set_var("p_sig",$pag_sig);
        $t->parse("pag_siguiente", "next");
    }
    else{
        $t->set_var("next_var","");
        $t->set_var("pag_siguiente","");
    }
    
    
    $t->parse("OUT", "pagina");
    $t->p("OUT");
?>
