<?php
    session_start();

    include("../config.php");
    include_once ("$ruta_include/funciones_foro.php");

    $t=new Template($ruta_template);
    if($ses_foro_activo!=1){
        error_foro("Accin no valida",$t);
        exit;
    }

    setPaginaOrigen("tema_alumnos.php");

    if($num_pagina==""){
        $num_pagina=1;
    }

    $link = conectar();

    $usuario = getIdusuario();
    $permisos = getPermisos();
    $id_foro = getIdforo();
    $opciones = getOpcionesUsuario($id_foro,$usuario,$link);

    $t = new Template($ruta_template);
    $t->set_file("pagina", "$ruta_template/tema_alumnos.html");

    $t->set_var("barra_info", barra_info($ruta_template, $opciones));
    $t->set_var("cuadro_busqueda", cuadro_busqueda($ruta_template, $opciones));

	/* vemos si el tema pertenece al foro */
	$valida = ValidaTema($id_tema, $id_foro, $link);
	if(!$valida){
        error_foro("Accin no valida",$t);
        exit;
    }

    $T = Tema($id_tema);
    $F = Foro($T[1]);
    
    $t->set_var("titulo", "Tema: $T[2]");
    $t->set_var("nombre_foro", $F[1]);
    $t->set_var("id_foro", $F[0]);
    $t->set_var("id_tema", $id_tema);
    $t->set_var("nombre_tema", $T[2]);

    $t->set_block("pagina", "vacio", "vacio");
    $t->set_block("pagina", "links_componer_top", "link_componer_top");
    $t->set_block("pagina", "links_componer_bottom", "link_componer_bottom");

    $t->set_block("pagina", "img_flecha", "img_flecha_var");

    $t->set_var("link_foro", "principal_alumnos.php?id_foro=$T[1]");
    $P = getPermisos();

    if($P[1] == 1 && $T[4] == '0'){
        $t->parse("link_componer_top", "links_componer_top", true);
        $t->parse("link_componer_bottom", "links_componer_bottom", true);
    }
    else{
        $t->parse("link_componer_top", "vacio");
        $t->parse("link_componer_bottom", "vacio");
    }

    $t->set_block("pagina", "mensajes", "mensaje");

	$mostrar_leidos=$opciones[3];
	$mostrar_ocultos=$opciones["VER_M_OCULTOS"];

    $MS=Mensajes($id_tema, $usuario);

    if($mostrar_arbol){
        $A=Arbol(0,$MS);
        $I=MostrarArbol($A, 0, $mostrar_leidos, $mostrar_ocultos);
        $desde=CalcularDesde($num_pagina, $I, $MAX_MENSAJES);
        $hasta=CalcularDesde($num_pagina+1, $I, $MAX_MENSAJES);
        if($hasta<0){
			$hasta=count($I);
		}
    }
    else{
        $desde=($num_pagina-1)*$MAX_MENSAJES;
        $hasta=$num_pagina*$MAX_MENSAJES;

    if(count($MS)<$hasta){
        $hasta=count($MS);
    }
	}

    for($i=$desde;$i<$hasta;$i++){
        if($mostrar_arbol){
            $F=$I[$i];
            $pos=BuscarMensaje($F[0],$MS);
            $M=$MS[$pos];

            if(!is_array($M)){
                continue;
            }

            $leido = $F[2];
            if($leido == 1){
                $class_mensaje = "mensaje_leido";
            }
            else{
                $class_mensaje = "mensaje_no_leido";
            }
            
            /*si el mensaje es padre, no muestro la flecha*/
            if($F[1]==1){
                $t->set_var("flecha","");
            }
            else{
                $t->parse("flecha", "img_flecha");
            }

            $t->parse("img_flecha_var", "vacio");
            
            $t->set_var(array("tipo_usuario" => getTipoUsuario2($M[0]),
                              "id_mensaje" => $M[0],
                              "titulo_mensaje" => "$M[2]",
                              "autor" => $M[8],
                              "fecha" => $M[3],
                              "indentacion" => 20*($F[1]-1),
                              "class_mensaje" => $class_mensaje,
                              "link_mensaje" => "mensaje.php?id_mensaje=$M[0]"));
        }
        else{
            $M=$MS[$i];

            $t->set_var(array("tipo_usuario" => getTipoUsuario2($M[0]),
                              "titulo_mensaje" => $M[2],
                              "autor" => $M[8],
                              "fecha" => $M[3],
                              "link_mensaje" => "mensaje.php?id_mensaje=$M[0]"));
        }

        $t->parse("mensaje", "mensajes", true);
    }


    /* imprimimos los numeros de pgina */
    $t->set_block("pagina", "next", "next_var");
    $t->set_block("pagina", "back", "back_var");

    $pag_ant=$num_pagina-1;
    $pag_sig=$num_pagina+1;

    $t->set_var("num_pagina",$num_pagina);
    $t->set_var("tema_id",$id_tema);

    if($pag_ant<1){
        $t->set_var("back_var","");
        $t->set_var("pag_anterior","");
    }
    else{
        $t->set_var("p_ant",$pag_ant);
        $t->parse("pag_anterior", "back");
    }

        if($hasta<count($MS) && !$mostrar_arbol || $hasta==count($MS) && $mostrar_arbol){
        $existen_mensajes_por_ver=1;
    }
    else{
        $existen_mensajes_por_ver=0;
    }
    if($existen_mensajes_por_ver){
        $t->set_var("p_sig",$pag_sig);
        $t->parse("pag_siguiente", "next");
    }
    else{
        $t->set_var("next_var","");
        $t->set_var("pag_siguiente","");
    }

    $t->parse("OUT", "pagina");
    $t->p("OUT");
?>
